Package org.h2.engine

# Interface CastDataProvider

All Known Implementing Classes:
  `Database`, `JdbcConnection`, `Session`, `SessionLocal`, `SessionRemote`

public interface CastDataProvider
Provides information for type casts and comparison operations.

## Method Summary

Modifier and Type
Method
Description
`ValueTimestampTimeZone`
`currentTimestamp()`
Returns the current timestamp with maximum resolution.
`TimeZoneProvider`
`currentTimeZone()`
Returns the current time zone.
`JavaObjectSerializer`
`getJavaObjectSerializer()`
Returns the custom Java object serializer, or `null`.
`Mode`
`getMode()`
Returns the database mode.
`boolean`
`zeroBasedEnums()`
Returns are ENUM values 0-based.

## Method Details

### currentTimestamp

ValueTimestampTimeZone currentTimestamp()
Returns the current timestamp with maximum resolution. The value must be the same within a transaction or within execution of a command.

Returns:
  the current timestamp for CURRENT_TIMESTAMP(9)

### currentTimeZone

TimeZoneProvider currentTimeZone()
Returns the current time zone.

Returns:
  the current time zone

### getMode

Mode getMode()
Returns the database mode.

Returns:
  the database mode

### getJavaObjectSerializer

JavaObjectSerializer getJavaObjectSerializer()
Returns the custom Java object serializer, or `null`.

Returns:
  the custom Java object serializer, or `null`

### zeroBasedEnums

boolean zeroBasedEnums()
Returns are ENUM values 0-based.

Returns:
  are ENUM values 0-based